Amarok script problem in GNOME [SOLVED]

Questions about applications and software
Forum rules
Before you post please read this

Amarok script problem in GNOME [SOLVED]

Postby Hepburn on Thu Sep 11, 2008 6:56 am

Hi, I've started using Amarok in GNOME, as I have an iRiver H10 and someone rather cleverly wrote a script to get the two to work together.

After figuring out how to install the script (I'm still kind of a newbie!), I've hit a new problem: when I try to run the script, Amarok says that it couldn't locate 'kwriteconfig' and that the script 'exited with error 254'.

I'm presuming this is because I'm running a KDE app on GNOME, and that I need to install some other stuff, but I have no idea what.... (The iRiver H10 works fine with Mint, BTW - I just wanted to have one program to make using it a bit easier, and one reason fewer to keep a Windoze partition! :wink: )

Thanks in advance,

TTFN
Hepburn
Last edited by Hepburn on Fri Sep 12, 2008 8:15 am, edited 1 time in total.
You're only young once, but you can be immature indefinitely.
Hepburn
Level 1
Level 1
 
Posts: 46
Joined: Fri Jul 11, 2008 4:05 pm

Linux Mint is funded by ads and donations.
 

Re: Amarok script problem in GNOME

Postby Husse on Fri Sep 12, 2008 6:38 am

You are probably right that some dependencies are missing, but they should have been installed when you installed amarok
Open Synaptic and mark Amarok for reinstallation
You should get a list of files to be installed apart from Amarok itself and your missing dependency should be there...
Reinstall...
PS typo in your signature - you hardly mean Sarcam :)
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19713
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Amarok script problem in GNOME

Postby Hepburn on Fri Sep 12, 2008 8:14 am

Haha, I didn't notice that - and I'm a language student too! Slapped wrist for me... :oops:

The only dependency listed for re-installation was amarok-xine, and that was installed the first time around. So I installed all the recommended/suggested dependencies (and their dependencies....) as well, and that seems to have fixed the problem.

The same (lack of) dependencies also came up in the terminal - maybe the repository package needs to be modified?

Thanks for pointing me in the right direction :)

TTFN
Hepburn
You're only young once, but you can be immature indefinitely.
Hepburn
Level 1
Level 1
 
Posts: 46
Joined: Fri Jul 11, 2008 4:05 pm


Return to Software & Applications

Who is online

Users browsing this forum: kiwi, wander and 14 guests